<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SyncdIndex extends \Google\Protobuf\Internal\Message
{
    


    protected $blob = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getBlob()
    {
        return isset($this->blob) ? $this->blob : '';
    }

    public function hasBlob()
    {
        return isset($this->blob);
    }

    public function clearBlob()
    {
        unset($this->blob);
    }

    




    public function setBlob($var)
    {
        GPBUtil::checkString($var, False);
        $this->blob = $var;

        return $this;
    }

}

